Web Vitals

Get Web Vitals Trends

GET
/v0/projects/{idOrSlug}/vitals/trends

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Query Parameters

metric?string
Value in"CLS""LCP""INP""FCP""TTFB""FID"
positiveOnly?"true"
Value in"true"
from?string
to?string
device?string
browser?string
os?string
country?string
route?string
segment?string|array<string>
excludeSegment?string|array<string>
bucketMs?string

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.faststats.dev/v0/projects/string/vitals/trends'
Example Response
[  {    "bucketStart": "string",    "metric": "string",    "samples": 0,    "p75": 0,    "p90": 0,    "p95": 0,    "p99": 0  }]